Bug 145614 - CAN-2005-0147 Browser responds to proxy auth request from non-proxy server (ssl/https)
CAN-2005-0147 Browser responds to proxy auth request from non-proxy server (s...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=important,public=20050120
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 21:24 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 14:01:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-19 21:24:03 EST
===================================
Mozilla Security Advisory MSA05-009
===================================

Title:      Browser responds to proxy auth request from non-proxy server (ssl/https)
Severity:   High
Reporter:   Christopher Nebergall

Fixed in:   Firefox 1.0
            Mozilla Suite 1.7.5


Description
-----------
If a proxy is configured the browser would respond to a 407 proxy auth
request from any SSL-connected server rather than only responding to
the configured proxy server. This could leak NTLM or SPNEGO credentials
outside the organization.


Workaround
----------
Upgrade to the fixed version


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=267263
Comment 1 Josh Bressers 2005-01-19 21:24:46 EST
This issue should also affect RHEL2.1
Comment 2 Josh Bressers 2005-03-23 14:01:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-323.html

Note You need to log in before you can comment on or make changes to this bug.